## jline
Class ArgumentCompletor.ArgumentList

    java.lang.Object
      jline.ArgumentCompletor.ArgumentList

Enclosing class:
  ArgumentCompletor

public static class ArgumentCompletor.ArgumentList
extends Object

The result of a delimited buffer.

Author:
  Marc Prud'hommeaux

Constructor Summary
`ArgumentCompletor.ArgumentList(String[] arguments, int cursorArgumentIndex, int argumentPosition, int bufferPosition)`

Method Summary
`int` `getArgumentPosition()`
`String[]` `getArguments()`
`int` `getBufferPosition()`
`String` `getCursorArgument()`
`int` `getCursorArgumentIndex()`
`void` `setArgumentPosition(int argumentPosition)`
`void` `setArguments(String[] arguments)`
`void` `setBufferPosition(int bufferPosition)`
`void` `setCursorArgumentIndex(int cursorArgumentIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentCompletor.ArgumentList

    public ArgumentCompletor.ArgumentList(String[] arguments,
                                          int cursorArgumentIndex,
                                          int argumentPosition,
                                          int bufferPosition)

Parameters:
  `arguments` - the array of tokens
  `cursorArgumentIndex` - the token index of the cursor
  `argumentPosition` - the position of the cursor in the current token
  `bufferPosition` - the position of the cursor in the whole buffer

Method Detail

### setCursorArgumentIndex

    public void setCursorArgumentIndex(int cursorArgumentIndex)

### getCursorArgumentIndex

    public int getCursorArgumentIndex()

### getCursorArgument

    public String getCursorArgument()

### setArgumentPosition

    public void setArgumentPosition(int argumentPosition)

### getArgumentPosition

    public int getArgumentPosition()

### setArguments

    public void setArguments(String[] arguments)

### getArguments

    public String[] getArguments()

### setBufferPosition

    public void setBufferPosition(int bufferPosition)

### getBufferPosition

    public int getBufferPosition()

Released under the terms of the BSD license